# create du.out with (for example)
#
#  du -cd 1 logger/2016 > du.out

with open('du.out') as f:
    duout = [line.split(None,1) for line in f.read().split('\n')]
    while len(duout[-1]) != 2:
        duout = duout[:-1]
    for size, file in sorted([(int(size), file) for size, file in duout]):
	print(size, file)
